/**
 *客户管理详情
 * */
$(function() {
// 	//获取所属行业//获取税务类别//获取客户信誉等级
// 	$.when(helper.getDropList.getlistDropByDic($('#customer_subtrade'), 'KHSSHY'),
// 			helper.getDropList.getlistDropByDic($('#customer_taxCategory'), 'SWLB'),
// 			helper.getDropList.getlistDropByDic($('#customer_layer'), 'KHLayer'))
// 		.done(function() {
			var edit_id = helper.request.queryString("edit_id");
			if (edit_id) {
				getCustomer(edit_id);
			}
		// });

});

//获取详情
function getCustomer(ids) {
	$.getJSON(huayi.config.callcenter_url + "CustomerNew/GetCustomer", {
		cusid: ids, //id
		token: $.cookie("token")
	}, function(data) {
		if (data.state.toLowerCase() == "success") {
			data = data.data;
			if (data) {
				$('#F_CustomerCode').text(data.F_CustomerCode);//	string 客户编码
				$('#F_CompanyName').text(data.F_CompanyName);//	string 公司名称
				$('#F_AreaID').text(data.F_AreaID);	//大区名称
				$('#F_BranchID').text(data.F_BranchID);	//分公司名称
				$('#F_Salesman').text(data.F_Salesman); //业务员		
				$('#F_SalesPhone').text(data.F_SalesPhone); //业务员电话
				$('#F_Gender').text(data.F_Gender); //性别  男 女
				$('#F_CustomerNature').text(data.F_CustomerNature); //客户性质
				$('#F_Channel').text(data.F_Channel); //渠道类型
				$('#F_Credit').text(data.F_Credit); //信用等级
				$('#F_Legal').text(data.F_Legal);  //法人
				$('#F_LegalPhone').text(data.F_LegalPhone); //法人电话
				$('#F_AddressProvince').text(data.F_AddressProvince); //省
				$('#F_AddressCity').text(data.F_AddressCity); //市
				$('#F_AddressCountry').text(data.F_AddressCountry);  //县
				$('#F_AddressTownship').text(data.F_AddressTownship); //乡
				$('#F_AddressFull').text(data.F_AddressFull);  //详细地址
				$('#F_Brands').text(data.F_Brands);   //经营品牌
				$('#F_Product').text(data.F_Product);  //产品
				$('#F_FrozenFlag').text(data.F_FrozenFlag); //冻结标志
				$('#F_IsOpenAccount').text(data.F_IsOpenAccount);  //是否开户
				$('#F_LevelCode').text(data.F_LevelCode);   //上级客户编码
				$('#F_LevelName').text(data.F_LevelName);  //上级客户名称
				$('#F_MnemonicCode').text(data.F_MnemonicCode);  //助记码
				$('#F_InvoiceBank').text(data.F_InvoiceBank);  //开票银行名称
				$('#F_InvoiceBank').text(data.F_InvoiceBank); //开票银行账号
				$('#F_TaxRegCode').text(data.F_TaxRegCode); //纳税人等级号
				$('#F_IsRunXLX').text(data.F_IsRunXLX);  //是否经营心连心
				$('#F_AnnualSales').text(data.F_AnnualSales);  //年销量
				$('#F_Formula').text(data.F_Formula);  //配方
				$('#F_RaiseCrops').text(data.F_RaiseCrops);  //种植植物
				$('#F_PlantingArea').text(data.F_PlantingArea);  //种植面积
				$('#F_FertilizerBrand').text(data.F_FertilizerBrand); //用肥品牌
				 
				
				// if(data.F_BusContent){
				// 	$('#bus_content').html(decodeURIComponent(data.model.F_BusContent));//	string 物料内容	
				// }else{
				// 	$('#bus_content').text('暂无内容。。。');
				// }
				
				$('#F_Remark').html(helper.filter.content(data.F_Remark));//	string 备注
			}
		}
	});
}
